
From: Patrick McHardy <kaber@trash.net>

# ChangeSet
#   2005/03/11 23:54:54+01:00 kaber@coreworks.de 
#   [NETFILTER]: Fix iptables userspace compatibility breakage
#   
#   Signed-off-by: Patrick McHardy <kaber@trash.net>
# 
# include/linux/netfilter_ipv6/ip6_tables.h
#   2005/03/11 23:54:44+01:00 kaber@coreworks.de +1 -1
#   [NETFILTER]: Fix iptables userspace compatibility breakage
#   
#   Signed-off-by: Patrick McHardy <kaber@trash.net>
# 
# include/linux/netfilter_ipv4/ip_tables.h
#   2005/03/11 23:54:44+01:00 kaber@coreworks.de +1 -1
#   [NETFILTER]: Fix iptables userspace compatibility breakage
#   
#   Signed-off-by: Patrick McHardy <kaber@trash.net>
# 
# include/linux/netfilter_arp/arp_tables.h
#   2005/03/11 23:54:44+01:00 kaber@coreworks.de +1 -1
#   [NETFILTER]: Fix iptables userspace compatibility breakage
#   
#   Signed-off-by: Patrick McHardy <kaber@trash.net>
# 
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/netfilter_arp/arp_tables.h  |    2 +-
 25-akpm/include/linux/netfilter_ipv4/ip_tables.h  |    2 +-
 25-akpm/include/linux/netfilter_ipv6/ip6_tables.h |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/linux/netfilter_arp/arp_tables.h~netfilter-snafu-fix include/linux/netfilter_arp/arp_tables.h
--- 25/include/linux/netfilter_arp/arp_tables.h~netfilter-snafu-fix	Fri Mar 11 16:15:55 2005
+++ 25-akpm/include/linux/netfilter_arp/arp_tables.h	Fri Mar 11 16:15:55 2005
@@ -154,7 +154,7 @@ struct arpt_entry
 #define ARPT_CONTINUE 0xFFFFFFFF
 
 /* For standard target */
-#define ARPT_RETURN (-NF_MAX_VERDICT - 1)
+#define ARPT_RETURN (-NF_REPEAT - 1)
 
 /* The argument to ARPT_SO_GET_INFO */
 struct arpt_getinfo
diff -puN include/linux/netfilter_ipv4/ip_tables.h~netfilter-snafu-fix include/linux/netfilter_ipv4/ip_tables.h
--- 25/include/linux/netfilter_ipv4/ip_tables.h~netfilter-snafu-fix	Fri Mar 11 16:15:55 2005
+++ 25-akpm/include/linux/netfilter_ipv4/ip_tables.h	Fri Mar 11 16:15:55 2005
@@ -166,7 +166,7 @@ struct ipt_entry
 #define IPT_CONTINUE 0xFFFFFFFF
 
 /* For standard target */
-#define IPT_RETURN (-NF_MAX_VERDICT - 1)
+#define IPT_RETURN (-NF_REPEAT - 1)
 
 /* TCP matching stuff */
 struct ipt_tcp
diff -puN include/linux/netfilter_ipv6/ip6_tables.h~netfilter-snafu-fix include/linux/netfilter_ipv6/ip6_tables.h
--- 25/include/linux/netfilter_ipv6/ip6_tables.h~netfilter-snafu-fix	Fri Mar 11 16:15:55 2005
+++ 25-akpm/include/linux/netfilter_ipv6/ip6_tables.h	Fri Mar 11 16:15:55 2005
@@ -166,7 +166,7 @@ struct ip6t_entry
 #define IP6T_CONTINUE 0xFFFFFFFF
 
 /* For standard target */
-#define IP6T_RETURN (-NF_MAX_VERDICT - 1)
+#define IP6T_RETURN (-NF_REPEAT - 1)
 
 /* TCP matching stuff */
 struct ip6t_tcp
_
